EDIT - feature request #7335

Allow editing of pro parte and partial synonyms in the same way as misapplied names in the

NameEditor
03/28/2018 02:23 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 40%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: major

Description

With #7334 pro parte and partial synonyms will be editable only as concept relationships. Therefore they must be handled in the

name editor similar as misapplied names and pro parte misapplied names.

We need something in menu as "create pro parte synonym", a suitable symbol and correct formatting.

Related issues:

Related to EDIT - feature request #7334: Make pro parte and partial synonyms ...
Related to EDIT - feature request #7215: Implement pro parte misapplied names...
Related to EDIT - feature request #7336: Implement partial misapplied names i...
Related to EDIT - feature request #6394: Allow additional taxon relationships...

Closed
Closed
Closed
New

Associated revisions

Revision c87fb375 - 05/15/2018 12:10 PM - Katja Luther

adapt editor to proParte synonyms

Revision 45fd1bf4 - 05/15/2018 12:37 PM - Katja Luther

fix create container for new pro parte synonym

Revision d8fdc499 - 05/15/2018 12:39 PM - Katja Luther

add pro parte synonyms to delete handler

Revision 92e8d1df - 05/15/2018 12:50 PM - Katja Luther

adapt details view to pro parte synonyms

Revision 71e8cbh9c - 05/15/2018 01:00 PM - Andreas Kohlbecker

adding icon resources folder

Revision b3cdd8e7 - 05/15/2018 05:30 PM - Andreas Miiller

ref #7335 remove pro parte and partial checkboxes from TaxonBaseDetailElement

Revision 9e1d6aa5 - 05/15/2018 05:35 PM - Andreas Miiller
ref #7335 exchange Taxon.getProParteSynonyms() by .getProParteAndPartialSynonyms()

Revision 7901247 - 05/15/2018 06:19 PM - Andreas Miiller

ref #7335, ref #7334 remove getProParteSynonyms method (is more or less duplicate)

Revision 670cfe16 - 05/16/2018 10:35 AM - Katja Luther

fix saving problem for concepts in name editor

Revision 08ef23e2 - 05/16/2018 01:06 PM - Katja Luther

adapt non-editable part of proparte/partial synonyms in name editor and adapt icons

History
https://dev.e-taxonomy.eu/redmine/issues/7334

#1 - 03/28/2018 02:23 PM - Andreas Miiller

- Related to feature request #7334: Make pro parte and partial synonyms real concept relationships added

#2 - 03/28/2018 02:24 PM - Andreas Miiller

- Related to feature request #7215: Implement pro parte misapplied names in TaxEditor added

#3 - 03/28/2018 02:34 PM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.1

#4 - 03/28/2018 02:42 PM - Andreas Miiller

- Related to feature request #7336: Implement partial misapplied names in TaxEditor added

#5 - 05/17/2018 11:51 AM - Andreas Miiller
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Mdiller

- Target version changed from Release 5.1 to Release 5.0

#6 - 05/17/2018 09:29 PM - Andreas Miuller

- Related to feature request #6394: Allow additional taxon relationships in TaxEditor to be handled similar to misapplications added

#7 - 06/04/2018 02:01 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 40

In the second line in the name editor the syn. sec. is shown, not the sec., the later is more important and should definitely be shown

#8 - 06/04/2018 03:15 PM - Andreas Miiller
Andreas Milller wrote:
In the second line in the name editor the syn. sec. is shown, not the sec., the later is more important and should definitely be shown

Sorry, this was not correct. The later is not necessarily more important. Usually we only have the syn. sec. so we should leave it as it is or add the
pure sec. information if available.

#9 - 06/04/2018 03:18 PM - Andreas Miiller

In details view please switch syn. sec. and sec., first comes sec. then syn. sec., be careful to also set the two "details" correctly.

See also my mail from May 15th:
2) Sensu/sec und Detail dazu direkt unter appendedPhrase, wie bei normalen akzeptierten Taxa

#10 - 09/12/2018 01:07 PM - Katja Luther
- Status changed from Feedback to Closed

This is fixed.
